--- a/arch/arm/boot/dts/kirkwood-goflexnet.dts
+++ b/arch/arm/boot/dts/kirkwood-goflexnet.dts
@@ -8,6 +8,13 @@
 	model = "Seagate GoFlex Net";
 	compatible = "seagate,goflexnet", "marvell,kirkwood-88f6281", "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_health;
+		led-failsafe = &led_fault;
+		led-running = &led_health;
+		led-upgrade = &led_fault;
+	};
+
 	memory {
 		device_type = "memory";
 		reg = <0x00000000 0x8000000>;
@@ -85,12 +92,12 @@
 			    >;
 		pinctrl-names = "default";
 
-		health {
+		led_health: health {
 			label = "status:green:health";
 			gpios = <&gpio1 14 GPIO_ACTIVE_LOW>;
-			default-state = "keep";
+			default-state = "on";
 		};
-		fault {
+		led_fault: fault {
 			label = "status:orange:fault";
 			gpios = <&gpio1 15 GPIO_ACTIVE_LOW>;
 		};
@@ -159,18 +166,8 @@
 	};
 
 	partition@100000 {
-		label = "uImage";
-		reg = <0x0100000 0x400000>;
-	};
-
-	partition@500000 {
-		label = "pogoplug";
-		reg = <0x0500000 0x2000000>;
-	};
-
-	partition@2500000 {
-		label = "root";
-		reg = <0x02500000 0xd800000>;
+		label = "ubi";
+		reg = <0x0100000 0x0ff00000>;
 	};
 };
 
